EXCH(1)

NAME
exch - atomically exchanges paths between two files

SYNOPSIS

exch oldpath newpath

DESCRIPTION

exch atomically exchanges oldpath and newpath. exch is a simple command wrapping RENAME_EXCHANGE of renameat2 system call.

OPTIONS

-h, --help
    Display help text and exit.

-V, --version
    Display version and exit.

EXIT STATUS

exch has the following exit status values:

0
    success

1
    unspecified failure

AUTHORS

SEE ALSO

renameat2(2)

REPORTING BUGS

For bug reports, use the

AVAILABILITY

The exch command is part of the util-linux package which can be downloaded from